using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PrequentialAucVerifier
{
    public class ExampleArrayComparer : IEqualityComparer<ScoredExample[]>
    {
        public bool Equals(ScoredExample[] x, ScoredExample[] y)
        {
            for (int i = 0; i < x.Length; i++)
            {
                if (x[i].Class != y[i].Class)
                {
                    return false;
                }
            }

            return true;
        }

        public int GetHashCode(ScoredExample[] obj)
        {
            return obj.Length;
        }
    }
}
